Mise à jour Yunohost v 2.7.2 -> v. 3.2


#1

Bonjour,

Je n’arrive pas à trouver la bonne commande dans un terminal pour mettre à jour mon Yunohost, qui est toujours en version 2.7.2.

Je voudrais mettre à jour les applications installées, mais évidemment il faut déjà mettre à jour Yunohost. J’avais déjà migré sur Debian Stretch, donc le système est à jour, mais sans m’occuper de Yunohost. Je ne peux même pas passer en version 2.7.14 comme préconisé à https://yunohost.org/#/jessie_stretch_migration

Comment puis-je procéder maintenant ?

Configuration de mon YunoHost

Matériel: rpi 3
Accès Internet: ethernet à la maison
YunoHost version:
yunohost: 2.7.2
yunohost-admin: 2.7.2
moulinette: 2.7.2
ssowat: 2.7.2

Merci

LSam


#2

Et c’est même indisponible depuis l’interface d’administration ?


#3

Qu’est-ce qu’il se passe quand tu fais apt update && apt dist-upgrade ?


#4

Depuis l’interface d’administration, dans ‘Mettre à jour le système’ :

Système

Aucun paquet n’est à mettre à jour.

Applications

Jirafeau jirafeau
Radicale radicale
phpMyAdmin phpmyadmin
Dokuwiki dokuwiki

Avec apt, aucune proposition de mise à jour. J’ai pourtant bien le dépôt suivant dans /etc/apt/sources.list.d/yunohost.list :
deb http://repo.yunohost.org/debian/ stretch stable

apt-cache policy yunohost : 
 yunohost:
  Installé : 2.7.2
  Candidat : 2.7.2
 Table de version :
 *** 2.7.2 100
        100 /var/lib/dpkg/status

Je comprends pas bien, une erreur dans mon dépôt ?


#5

Non,

Interface d’administration -> Outils -> Migration


#6

Désolé, c’est en fait dans ‘Outils’ > ‘Versions’.

J’ai lancé ‘Mettre à jour le système’ mais ça n’a pas l’air d’avancer beaucoup…

J’avais déjà tenté dans un terminal :

$ sudo yunohost app upgrade yunohost
Succès ! yunohost est déjà à jour
Erreur : Aucune application à mettre à jour

$ sudo yunohost tools upgrade
Attention : unable to upgrade apps: [Errno 22] Les pré-requis ne sont pas satisfaits, le paquet yunohost (2.7.2) doit être >> 2.7.14

#7

Bon, c’est quand on demande qu’on trouve la solution…

Mon dépôt devrait être :
deb http://forge.yunohost.org/debian stretch stable

Je viens de corriger et lancer la mise à jour en ligne de commande avec apt. Avec apt dist-upgrade c’est bon.

Merci